<?php
// 防止直接访问
if (!defined('IN_SYSTEM')) {
    die('禁止直接访问此文件');
}
?>

<div class="module-tools">
    <div class="tool-left">
        <h3>物流订单详情</h3>
    </div>
    <div class="tool-right">
        <a href="index.php?page=delivery" class="btn btn-secondary">返回列表</a>
        <?php if ($logistics['logistics_status'] !== 'delivered'): ?>
            <a href="index.php?page=delivery&action=edit&id=<?php echo $logistics['logistics_id']; ?>" class="btn btn-primary">编辑订单</a>
        <?php endif; ?>
    </div>
</div>

<?php if (!empty($message)): ?>
    <div class="alert alert-<?php echo $messageType; ?>">
        <?php echo $message; ?>
    </div>
<?php endif; ?>

<div class="content-section">
    <div class="section-header">
        <h4>基本信息</h4>
    </div>

    <div class="info-section">
        <div class="info-row">
            <div class="info-item">
                <div class="info-label">物流单号</div>
                <div class="info-value"><?php echo htmlspecialchars($logistics['logistics_number']); ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">出库单号</div>
                <div class="info-value"><?php echo htmlspecialchars($logistics['delivery_number']); ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">客户名称</div>
                <div class="info-value"><?php echo htmlspecialchars($logistics['customer_name']); ?></div>
            </div>
        </div>

        <div class="info-row">
            <div class="info-item">
                <div class="info-label">收件人</div>
                <div class="info-value"><?php echo htmlspecialchars($logistics['receiver_name']); ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">联系电话</div>
                <div class="info-value"><?php echo htmlspecialchars($logistics['receiver_phone']); ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">配送地址</div>
                <div class="info-value"><?php echo htmlspecialchars($logistics['shipping_address']); ?></div>
            </div>
        </div>

        <div class="info-row">
            <div class="info-item">
                <div class="info-label">配送方式</div>
                <div class="info-value"><?php echo htmlspecialchars($logistics['method_name']); ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">物流公司</div>
                <div class="info-value"><?php echo $logistics['company_name'] ? htmlspecialchars($logistics['company_name']) : '-'; ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">物流状态</div>
                <div class="info-value">
                    <span class="status-badge status-<?php echo getLogisticsStatusBadgeClass($logistics['logistics_status']); ?>">
                        <?php echo getLogisticsStatusName($logistics['logistics_status']); ?>
                    </span>
                </div>
            </div>
        </div>

        <div class="info-row">
            <div class="info-item">
                <div class="info-label">第三方单号</div>
                <div class="info-value"><?php echo $logistics['tracking_number'] ? htmlspecialchars($logistics['tracking_number']) : '-'; ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">预计送达</div>
                <div class="info-value">
                    <?php if ($logistics['estimated_delivery_time']): ?>
                        <?php echo date('Y-m-d', strtotime($logistics['estimated_delivery_time'])); ?>
                    <?php else: ?>
                        -
                    <?php endif; ?>
                </div>
            </div>
            <div class="info-item">
                <div class="info-label">实际送达</div>
                <div class="info-value">
                    <?php if ($logistics['actual_delivery_time']): ?>
                        <?php echo date('Y-m-d H:i', strtotime($logistics['actual_delivery_time'])); ?>
                    <?php else: ?>
                        -
                    <?php endif; ?>
                </div>
            </div>
        </div>

        <div class="info-row">
            <div class="info-item">
                <div class="info-label">配送费用</div>
                <div class="info-value"><?php echo number_format($logistics['shipping_cost'], 2); ?> 元</div>
            </div>
            <div class="info-item">
                <div class="info-label">重量</div>
                <div class="info-value"><?php echo $logistics['weight'] ? $logistics['weight'] . ' kg' : '-'; ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">体积</div>
                <div class="info-value"><?php echo $logistics['volume'] ? $logistics['volume'] . ' m³' : '-'; ?></div>
            </div>
        </div>

        <div class="info-row">
            <div class="info-item">
                <div class="info-label">创建人</div>
                <div class="info-value"><?php echo htmlspecialchars($logistics['created_by_name']); ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">创建时间</div>
                <div class="info-value"><?php echo date('Y-m-d H:i', strtotime($logistics['created_at'])); ?></div>
            </div>
            <div class="info-item">
                <div class="info-label">备注</div>
                <div class="info-value"><?php echo $logistics['remark'] ? htmlspecialchars($logistics['remark']) : '-'; ?></div>
            </div>
        </div>
    </div>
</div>

<!-- 物流跟踪记录 -->
<div class="content-section">
    <div class="section-header">
        <h4>物流跟踪记录</h4>
        <?php if ($logistics['logistics_status'] !== 'delivered'): ?>
            <button type="button" class="btn btn-primary" onclick="toggleAddTrackingForm()">添加记录</button>
        <?php endif; ?>
    </div>

    <!-- 添加物流跟踪表单 -->
    <div id="add-tracking-form" style="display: none;">
        <form method="post" action="index.php?page=delivery&action=add_tracking" class="form">
            <input type="hidden" name="logistics_id" value="<?php echo $logistics['logistics_id']; ?>">

            <div class="form-row">
                <div class="form-group col-md-4">
                    <label for="tracking_status">状态</label>
                    <select name="tracking_status" id="tracking_status" class="form-control" required>
                        <option value="pending">待处理</option>
                        <option value="processing">处理中</option>
                        <option value="shipping">配送中</option>
                        <option value="delivered">已送达</option>
                        <option value="exception">异常</option>
                    </select>
                </div>

                <div class="form-group col-md-4">
                    <label for="location">位置</label>
                    <input type="text" name="location" id="location" class="form-control" placeholder="物流位置">
                </div>

                <div class="form-group col-md-4">
                    <label for="is_exception">是否异常</label>
                    <div class="form-check">
                        <input type="checkbox" name="is_exception" id="is_exception" class="form-check-input">
                        <label class="form-check-label" for="is_exception">标记为异常记录</label>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label for="description">描述</label>
                <textarea name="description" id="description" class="form-control" rows="3" required></textarea>
            </div>

            <div class="form-group">
                <button type="submit" class="btn btn-success">保存</button>
                <button type="button" class="btn btn-secondary" onclick="toggleAddTrackingForm()">取消</button>
            </div>
        </form>
    </div>

    <?php if (empty($trackingRecords)): ?>
        <div class="alert alert-info">暂无物流跟踪记录</div>
    <?php else: ?>
        <div class="tracking-timeline">
            <?php foreach ($trackingRecords as $record): ?>
                <div class="tracking-item <?php echo $record['is_exception'] ? 'tracking-exception' : ''; ?>">
                    <div class="tracking-time">
                        <?php echo date('Y-m-d H:i', strtotime($record['tracking_time'])); ?>
                    </div>

                    <div class="tracking-content">
                        <div class="tracking-status">
                            <span class="status-badge status-<?php echo getLogisticsStatusBadgeClass($record['tracking_status']); ?>">
                                <?php echo getLogisticsStatusName($record['tracking_status']); ?>
                            </span>
                            <?php if ($record['is_exception']): ?>
                                <span class="status-badge status-error">异常</span>
                            <?php endif; ?>
                        </div>

                        <div class="tracking-description">
                            <?php echo nl2br(htmlspecialchars($record['tracking_description'])); ?>
                        </div>

                        <?php if (!empty($record['tracking_location'])): ?>
                            <div class="tracking-location">
                                位置: <?php echo htmlspecialchars($record['tracking_location']); ?>
                            </div>
                        <?php endif; ?>

                        <div class="tracking-operator">
                            操作人: <?php echo htmlspecialchars($record['operator']); ?>
                        </div>
                    </div>
                </div>
            <?php endforeach; ?>
        </div>
    <?php endif; ?>
</div>

<style>
    .content-section {
        background-color: #fff;
        border-radius: 5px;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
        margin-bottom: 20px;
        padding: 20px;
    }

    .section-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        margin-bottom: 15px;
        padding-bottom: 10px;
        border-bottom: 1px solid #e9ecef;
    }

    .section-header h4 {
        margin: 0;
        color: #0066cc;
    }

    .info-section {
        display: flex;
        flex-direction: column;
        gap: 15px;
    }

    .info-row {
        display: flex;
        flex-wrap: wrap;
        gap: 20px;
    }

    .info-item {
        flex: 1;
        min-width: 200px;
    }

    .info-label {
        color: #6c757d;
        font-size: 0.9rem;
        margin-bottom: 5px;
    }

    .info-value {
        font-weight: 500;
    }

    .status-badge {
        display: inline-block;
        padding: 3px 8px;
        border-radius: 3px;
        font-size: 0.8rem;
        font-weight: 500;
    }

    .status-warning {
        background-color: #fff3cd;
        color: #856404;
    }

    .status-info {
        background-color: #d1ecf1;
        color: #0c5460;
    }

    .status-primary {
        background-color: #cce5ff;
        color: #004085;
    }

    .status-success {
        background-color: #d4edda;
        color: #155724;
    }

    .status-danger {
        background-color: #f8d7da;
        color: #721c24;
    }

    .status-error {
        background-color: #f8d7da;
        color: #721c24;
    }

    .tracking-timeline {
        position: relative;
        margin: 20px 0;
        padding-left: 30px;
    }

    .tracking-timeline:before {
        content: "";
        position: absolute;
        top: 0;
        bottom: 0;
        left: 10px;
        width: 2px;
        background-color: #e9ecef;
    }

    .tracking-item {
        position: relative;
        margin-bottom: 20px;
        padding-bottom: 20px;
        border-bottom: 1px dashed #e9ecef;
    }

    .tracking-item:last-child {
        margin-bottom: 0;
        border-bottom: none;
    }

    .tracking-item:before {
        content: "";
        position: absolute;
        left: -22px;
        top: 0;
        width: 12px;
        height: 12px;
        border-radius: 50%;
        background-color: #0066cc;
        border: 2px solid #fff;
        box-shadow: 0 0 0 2px #0066cc;
    }

    .tracking-exception:before {
        background-color: #dc3545;
        box-shadow: 0 0 0 2px #dc3545;
    }

    .tracking-time {
        font-size: 0.9rem;
        color: #6c757d;
        margin-bottom: 5px;
    }

    .tracking-content {
        background-color: #f8f9fa;
        padding: 15px;
        border-radius: 5px;
    }

    .tracking-status {
        margin-bottom: 10px;
    }

    .tracking-description {
        margin-bottom: 10px;
    }

    .tracking-location,
    .tracking-operator {
        font-size: 0.85rem;
        color: #6c757d;
    }

    .tracking-location {
        margin-bottom: 5px;
    }

    .form {
        background-color: #f8f9fa;
        padding: 15px;
        border-radius: 5px;
        margin-bottom: 20px;
    }

    .form-row {
        display: flex;
        flex-wrap: wrap;
        gap: 15px;
        margin-bottom: 15px;
    }

    .form-group {
        flex: 1;
        min-width: 200px;
    }

    .form-group label {
        display: block;
        margin-bottom: 5px;
        font-weight: 500;
    }

    .form-control {
        width: 100%;
        padding: 8px 12px;
        border: 1px solid #ced4da;
        border-radius: 4px;
        font-size: 14px;
    }

    .form-check {
        display: flex;
        align-items: center;
        margin-top: 10px;
    }

    .form-check-input {
        margin-right: 5px;
    }
</style>

<script>
    function toggleAddTrackingForm() {
        var form = document.getElementById('add-tracking-form');
        if (form.style.display === 'none') {
            form.style.display = 'block';
        } else {
            form.style.display = 'none';
        }
    }
</script>