<?php
// 防止直接访问
defined('IN_SYSTEM') || die('禁止访问');
?>

<!-- 显示消息 -->
<?php if (!empty($message)): ?>
    <div class="alert alert-<?php echo $messageType; ?>"><?php echo $message; ?></div>
<?php endif; ?>

<div class="module-tools">
    <div class="tool-left">
        <a href="index.php?page=order" class="btn btn-secondary">返回列表</a>
        <?php if (($viewData['order_status'] ?? 'pending') == 'pending'): ?>
            <a href="index.php?page=order&action=edit&id=<?php echo $viewData['order_id']; ?>" class="btn btn-primary">编辑订单</a>
        <?php endif; ?>
    </div>
</div>

<div class="data-wrapper">
    <h4 class="data-title">订单详情</h4>

    <div class="detail-container">
        <h3>基本信息</h3>
        <div class="detail-group">
            <label>订单编号：</label>
            <span><?php echo htmlspecialchars($viewData['order_number'] ?? ''); ?></span>
        </div>
        <div class="detail-group">
            <label>客户名称：</label>
            <span><?php echo htmlspecialchars($viewData['customer_name'] ?? '未知客户'); ?></span>
        </div>
        <div class="detail-group">
            <label>订单日期：</label>
            <span><?php echo $viewData['order_date'] ?? ''; ?></span>
        </div>
        <div class="detail-group">
            <label>预计交付：</label>
            <span><?php echo isset($viewData['delivery_date']) && !empty($viewData['delivery_date']) ? $viewData['delivery_date'] : '未设置'; ?></span>
        </div>
        <div class="detail-group">
            <label>订单状态：</label>
            <span>
                <span class="badge badge-<?php echo getOrderStatusBadgeClass($viewData['order_status'] ?? 'pending'); ?>">
                    <?php echo getOrderStatusName($viewData['order_status'] ?? 'pending'); ?>
                </span>
            </span>
        </div>
        <div class="detail-group">
            <label>支付状态：</label>
            <span><?php echo getPaymentStatusName($viewData['payment_status'] ?? 'unpaid'); ?></span>
        </div>
        <div class="detail-group">
            <label>创建时间：</label>
            <span><?php echo $viewData['created_at'] ?? ''; ?></span>
        </div>
        <div class="detail-group">
            <label>备注：</label>
            <span><?php echo nl2br(htmlspecialchars($viewData['remarks'] ?? '')); ?></span>
        </div>
    </div>

    <div class="detail-container">
        <h3>订单明细</h3>
        <?php if (count($viewItems) > 0): ?>
            <table class="data-table">
                <thead>
                    <tr>
                        <th>产品</th>
                        <th>单价(元)</th>
                        <th>数量</th>
                        <th>小计(元)</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach ($viewItems as $item): ?>
                        <tr>
                            <td><?php echo htmlspecialchars($item['product_name'] ?? '未知产品'); ?></td>
                            <td class="text-right"><?php echo number_format($item['unit_price'] ?? 0, 2); ?></td>
                            <td class="text-right"><?php echo $item['quantity'] ?? 0; ?></td>
                            <td class="text-right"><?php echo number_format(($item['unit_price'] ?? 0) * ($item['quantity'] ?? 0), 2); ?></td>
                        </tr>
                    <?php endforeach; ?>
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan="3" class="text-right"><strong>总计：</strong></td>
                        <td class="text-right"><strong><?php echo number_format($viewData['total_amount'] ?? 0, 2); ?></strong></td>
                    </tr>
                </tfoot>
            </table>
        <?php else: ?>
            <div class="alert alert-info">暂无订单明细</div>
        <?php endif; ?>
    </div>
</div>